org.jboss.netty.channel

## Interface ChildChannelStateEvent

All Superinterfaces:
  ChannelEvent

All Known Implementing Classes:
  DefaultChildChannelStateEvent

    public interface ChildChannelStateEvent
    extends ChannelEvent

A `ChannelEvent` which represents the notification of the state of a child `Channel`. This event is for going upstream only. Please refer to the `ChannelEvent` documentation to find out what an upstream event and a downstream event are and what fundamental differences they have.

### Method Summary

Methods
`Channel` `getChannel()` Returns the parent `Channel` which is associated with this event.
`Channel` `getChildChannel()` Returns the child `Channel` whose state has been changed.

### Methods inherited from interface org.jboss.netty.channel.ChannelEvent

`getFuture`

### Method Detail

#### getChannel

    Channel getChannel()

Returns the parent `Channel` which is associated with this event. Please note that you should use `getChildChannel()` to get the `Channel` created or accepted by the parent `Channel`.

Specified by:
  `getChannel` in interface `ChannelEvent`

#### getChildChannel

    Channel getChildChannel()

Returns the child `Channel` whose state has been changed.